locked
Anyone experienced this Xamarin Studio 'Layout Editor' error message? RRS feed

  • Question

  • User1996 posted

    Guys

    I've been building an Android project for several weeks now with no problems. After installing the latest updates today I try to open an existing .axml layout in the 'Layout Editor' via a double click in the navigator I get an error message (see below). I can view and edit the source quite happily via the 'Source Code Editor' though.

    The file 'drive:\path\project\Resources\layout\Home.axml' could not be opened. Specified argument was out of the range of valid values. Parameter name: API level not recognized: 9

    I don't get this problem on another machine that has the same update. Has anyone else experienced this problem?

    Regards

    CR

    (Posted on the Android forum as well)

    Friday, September 5, 2014 8:06 AM

All replies

  • User73697 posted

    I am. Just started with Xamarin working on the Tasky sample code.

    Wednesday, September 10, 2014 11:34 PM
  • User1996 posted

    Well at least I'm not alone :) At the moment I haven't the time to work out why so I'm putting up with it and building the screens with code instead. It's how I used to work anyway.

    In order to fix it I think I may end up re-creating the solution and bringing in each layout in turn testing for the error as I go. A pain in the arse but the only way to go unless we can find another method. Let me know if you find a way past the error.

    CR

    Friday, September 12, 2014 11:20 AM
  • User28276 posted

    I am also experiencing this error "API level not recognized: 9" since I updated to the latest version a week or two ago. I can only edit the screens with the xml editor.

    Any idea from Xamarin guys?

    Wednesday, September 17, 2014 7:52 AM
  • User67403 posted

    Xamarin studio layout is crap. Does not compute gets errors and I do not know what to do with it. Spend around 10k euro in this crap thing. Error every where sen dlog, send bug send every thing cannot build any stuff to earn money with

    Wednesday, September 17, 2014 10:56 AM
  • User1044 posted

    @LluisSanchez? any ideas?

    Wednesday, September 17, 2014 4:56 PM
  • User37952 posted

    I have found a solution for this, Open android SDK and remove all components of API level 9, since it is obsolete,

    Tuesday, September 23, 2014 7:42 AM
  • User28276 posted

    Perfect, your solution works for me, thanks ArielLev!!

    Tuesday, September 23, 2014 7:47 AM
  • User1996 posted

    ArielLev - you're a genius, that worked for me. Thank you.

    CR

    Tuesday, September 23, 2014 10:49 AM
  • User58602 posted

    I too ran into this problem, and ArielLev's solution worked. Thanks!

    Xamarin Devs - If any info is needed to repro this bug, please let me know. I'm running OS X 10.9.5, with the latest Xamarin components.

    This also happened with the previous version of Xamarin.


    Xamarin Studio Version 5.4 (build 240)

    Apple Developer Tools Xcode 6.0.1 (6528) Build 6A317

    Xamarin.Mac Version:

    Xamarin.iOS Version: 8.0.0.62 (Indie Edition) Hash: 8bd8158 Branch: Build date: 2014-09-18 09:12:55-0400

    Xamarin.Android Version: 4.16.0 (Indie Edition) Android SDK: /Users/jeredmcferron/Library/Developer/Xamarin/android-sdk-macosx

    Java SDK: /usr java version "1.6.065" Java(TM) SE Runtime Environment (build 1.6.065-b14-462-11M4609) Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)

    Build Information Release ID: 504000240 Git revision: 01786bc67c7024ec33d327ed27e4416d7a846f4e Build date: 2014-09-17 10:58:48-04 Xamarin addins: 7cd7dfcd6b7b7b53281508954ec080f1cd153ad3

    Thursday, September 25, 2014 6:18 PM
  • User20486 posted

    Ok, I Was Facing The Same "Android Api Level 9", And How @ArielLev Said, I Removed All Api 9 Components And It Works Fine. But I'd Like To Have My Full SDK, So, I Hoppe Xamarin Dev Team Solve This Little Issue.

    Friday, October 3, 2014 7:21 PM
  • User112 posted

    Hm, removed API 9 but the error is still there. I am on Xamarin beta channel BTW and lately installed Android 5.0 SDK.

    Tuesday, October 21, 2014 10:56 AM
  • User55249 posted

    Deleting the API 9 worked for me too.

    Sunday, November 2, 2014 11:39 PM
  • User84406 posted

    I have found a solution for this, Open android SDK and remove all components of API level 9, since it is obsolete,

    it's work well for me.

    Saturday, November 15, 2014 2:45 AM